Name: irda-utils
Summary: Utilities for infrared communication between devices
Version: 0.9.15
Release: 2m
Source0: http://irda.sourceforge.net/ftp/irda-utils/irda-utils-0.9.15.tar.gz
Source1: irda.init
Patch0: irda-utils-0.9.14.ppc.patch
NoSource: 0
Group: Applications/System
URL: http://irda.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig
License: GPL

%description
IrDA(TM) (Infrared Data Association) is an industry standard for
wireless, infrared communication between devices. IrDA speeds range
from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices
including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from
scratch, of the IrDA protocols. Supported IrDA protocols include
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The irda-utils package contains a collection of programs that enable
the use of IrDA protocols. Most IrDA features are implemented in the
kernel, so IrDA support must be enabled in the kernel before any IrDA
tools or programs can be used. Some configuration outside the kernel
is required, however, and some IrDA features, like IrOBEX, are
actually implemented outside the kernel.

%prep
rm -rf %{buildroot}

%setup -q
%ifarch ppc
%patch0 -p1 -b .ppc
%endif

%build
%ifnarch ppc
make all RPM_BUILD_ROOT="%{buildroot}" RPM_OPT_FLAGS="%{optflags}" ROOT="%{buildroot}"
%else
make all RPM_BUILD_ROOT="%{buildroot}" RPM_OPT_FLAGS="-O2 -fsigned-char" ROOT="%{buildroot}"
%endif

%install
make install RPM_OPT_FLAGS="%{optflags}" ROOT="%{buildroot}"

if [ ! -d %{buildroot}%{_initscriptdir} ]; then
    install -d %{buildroot}%{_initscriptdir}
    install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/irda
fi
rm -f %{buildroot}/etc/rc.d/init.d/irda

for dir in irattach irdadump irdaping tekram; do
    cp $dir/README $dir/README.$dir
done

# irdaping/README.txt turned out to be irdaping/README since 0.9.14
#for dir in irdaping; do
#    cp $dir/README.txt $dir/README.$dir
#done

%clean
rm -rf %{buildroot} $RPM_BUILD_DIR/file.list.%{name}

%post
/sbin/chkconfig --add irda
if test -r /var/run/irattach.pid
then
	/etc/init.d/irda restart
fi

%preun
if [ "$1" = 0 ]; then
	if test -r /var/run/irattach.pid
	then
		/etc/init.d/irda stop
	fi
	/sbin/chkconfig --del irda
fi

exit 0

%changelog
* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.15-2m)
- revised spec for enabling rpm 4.2.

* Fri Jun 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.15-1m)
- version 0.9.15

* Tue Sep  4 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.14-6k)
- rebuild against libtool 1.4.

* Mon Mar  5 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.14-3k)
- Just catching up with the latest
- irdaping/README.txt renamed to irdaping/README

* Mon Feb 19 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.13-5k)
- $DONGLE valuable evaluation modification in irda startup script: 
  from 'if $DONGLE ; then' to 'if [ -n "$DONGLE" ]; then'
- modified "chkconfig", "description" and some other comments in the startup
  script so that it could be handled by chkconfig appropriately

* Tue Feb 13 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.13-3k)
- Removed irmanager (not needed anymore)
- now irda startup script is covered by chkconfig

* Sun Mar 26 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fix ( Group, BuildRoot, Distribution, description )

* Wed Jan 19 2000 Ian Soboroff <ian@cs.umbc.edu>
- 0.9.8
- Added findchip to package
- Added READMEs for the various utilities to the doc directory

* Wed Nov 10 1999 Dag Brattli <dagb@cs.uit.no>
- 0.9.5
- Some fixes to irattach, so it works with the latest kernels and patches
- Removed OBEX which will now become its own distribution
- Removed irdadump-X11 which will be replaced with a GNOME version

* Wed Sep 8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.9.4
- include new stuff (palm3, psion, obex_tcp, ...)
- various fixes

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix .spec bug

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add README to %doc
- compile gnobex, now in irda-utils-X11

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- initial RPM:
  - handle RPM_OPT_FLAGS and RPM_BUILD_ROOT
  - fix build
  - split in normal and X11 packages

%files
%defattr(-,root,root)
%doc README
%doc irattach/README.irattach
%doc irdadump/README.irdadump
%doc irdaping/README.irdaping
%doc tekram/README.tekram
%config %{_initscriptdir}/irda
%config %{_sysconfdir}/sysconfig/irda
%config %{_sysconfdir}/sysconfig/network-scripts/ifcfg-irlan0
%{_bindir}/irdadump
%{_bindir}/irpsion5
%{_bindir}/irkbd
%{_sbindir}/irattach
%{_sbindir}/irdaping
%{_sbindir}/dongle_attach
%ifnarch ppc
%{_sbindir}/findchip
%endif
